Bug 1627609 - kernel 4.17.19-200.fc28.x86_64 fails to boot on a Dell XPS 13 9370 due to Dell keyboard backlight restore failure [NEEDINFO]
Summary: kernel 4.17.19-200.fc28.x86_64 fails to boot on a Dell XPS 13 9370 due to Del...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-11 02:44 UTC by Jon Masters
Modified: 2018-11-26 21:08 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-26 21:08:48 UTC
Type: Bug
Jared_Dominguez: needinfo? (jcm)
labbott: needinfo? (jcm)


Attachments (Terms of Use)

Description Jon Masters 2018-09-11 02:44:54 UTC
Description of problem:

4.17.19-200.fc28.x86_64 fails to boot on a Dell XPS 13 9370 due to the systemd keyboard backlight service going out to lunch. Masking the systemd keyboard backlight service results in this kernel booting. I haven't had time to triage further yet since my own (recent upstream) self-built kernels are (and have been) running just fine. The previous 4.16 Fedora kernel booted fine, something is broken in the Fedora 4.17 tree. Logging this mostly to help others.

If you see this problem, for now you can do this:

$ sudo systemctl mask systemd-backlight@

(unfortunately rpm -e systemd doesn't work or I would have done that instead)

Comment 1 D. Jared Dominguez 2018-09-11 15:47:47 UTC
Please provide logs if you have any. Per twitter, you had also mentioned you're on BIOS 1.2.1, whereas it looks like 1.5.1 is the latest.

Comment 2 Mario Limonciello 2018-09-11 16:19:39 UTC
I'm guessing 4.17.19-200 picked up this:

https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/commit/?h=linux-4.17.y&id=587eb87b45bb6a97452b9719f63cd489e1371e77

Which caused a problem?

Logs would be good, if there is a kernel back trace or something.  It could be this memory leak that will be fixed in 4.20 possibly:
http://git.infradead.org/linux-platform-drivers-x86.git/commit/affab51082174f60ef71ced8ab5fbe71f00e9ae3

Comment 3 Laura Abbott 2018-10-01 21:37:28 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.
 
Fedora 28 has now been rebased to 4.18.10-300.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.
 
If you experience different issues, please open a new bug report for those.

Comment 4 Laura Abbott 2018-11-26 21:08:48 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and let us know if the bug is still present on the latest kernel.

(Please note: sometimes bugs get mistakenly closed during our mass closing. If you think your bug was closed in error please reopen)


Note You need to log in before you can comment on or make changes to this bug.